---
title: File.lastModifiedDate
slug: Web/API/File/lastModifiedDate
tags:
  - API
  - Deprecated
  - File
  - File API
  - Files
  - Property
  - Read-only
  - Reference
  - lastModifiedDate
---
<div>{{APIRef("File API") }} {{deprecated_header}}</div>

<p>The <code><strong>File.lastModifiedDate</strong></code><strong> </strong>read-only property returns the last modified date of the file. Files without a known last modified date returns the current date .</p>

<h2 id="Syntax">Syntax</h2>

<pre>var time = <em>instanceOfFile</em>.lastModifiedDate</pre>

<h3 id="Value">Value</h3>

<p>A <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date">Date</a></code> object indicating the date and time at which the file was last modified.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">// fileInput is a HTMLInputElement: &lt;input type="file" multiple id="myfileinput"&gt;
var fileInput = document.getElementById("myfileinput");

// files is a FileList object (simliar to NodeList)
var files = fileInput.files;

for (var i = 0; i &lt; files.length; i++) {
  alert(files[i].name + " has a last modified date of " + files[i].lastModifiedDate);
}</pre>

<h2 id="Reduced_time_precision">Reduced time precision</h2>

<p>To offer protection against timing attacks and fingerprinting, the precision of <code>someFile.lastModifiedDate.getTime()</code> might get rounded depending on browser settings.</p>

<p>In Firefox, the <code>privacy.reduceTimerPrecision</code>  preference is enabled by default and defaults to 20us in Firefox 59; in 60 it will be 2ms.</p>

<pre class="brush: js">// reduced time precision (2ms) in Firefox 60
someFile.lastModifiedDate.getTime();
// 1519211809934
// 1519211810362
// 1519211811670
// ...

// reduced time precision with `privacy.resistFingerprinting` enabled
someFile.lastModifiedDate.getTime();
// 1519129853500
// 1519129858900
// 1519129864400
// ...
</pre>

<p>In Firefox, you can also enable <code>privacy.resistFingerprinting</code>, the precision will be 100ms or the value of <code>privacy.resistFingerprinting.reduceTimerPrecision.microseconds</code>, whichever is larger.</p>

<h2 id="Specifications">Specifications</h2>

<p><em>Though present in early draft of the File API spec, this property has been removed from it and is now non-standard. Use {{domxref("File.lastModified")}} instead.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.File.lastModifiedDate")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("File")}}</li>
</ul>
